Package com.usatiuk.objects

# Class JDataVersionedWrapperSerializer

java.lang.Object
com.usatiuk.objects.JDataVersionedWrapperSerializer

@Singleton public class JDataVersionedWrapperSerializer extends Object

## Constructor Summary

Constructors
Constructor
Description
`JDataVersionedWrapperSerializer()`

## Method Summary

Modifier and Type
Method
Description
`JDataVersionedWrapper`
`deserialize(ByteBuffer data)`
`com.google.protobuf.ByteString`
`serialize(JDataVersionedWrapper obj)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JDataVersionedWrapperSerializer

public JDataVersionedWrapperSerializer()

## Method Details

### serialize

public com.google.protobuf.ByteString serialize(JDataVersionedWrapper obj)

### deserialize

public JDataVersionedWrapper deserialize(ByteBuffer data)